library verilog;
use verilog.vl_types.all;
entity controller is
    port(
        pc_load         : out    vl_logic;
        general_clk     : in     vl_logic;
        ir              : in     vl_logic_vector(7 downto 5);
        reset           : in     vl_logic;
        select_clk      : in     vl_logic;
        c               : in     vl_logic;
        z               : in     vl_logic;
        pc_count_up     : out    vl_logic;
        memory_read_write: out    vl_logic;
        data_select     : out    vl_logic;
        pc_ir           : out    vl_logic;
        acc_latch       : out    vl_logic;
        alu_latch       : out    vl_logic;
        ir_latch        : out    vl_logic
    );
end controller;
