library verilog;
use verilog.vl_types.all;
entity k_com is
    port(
        select_clk      : out    vl_logic;
        reset           : in     vl_logic;
        general_clk     : in     vl_logic;
        d_bus           : inout  vl_logic_vector(7 downto 0);
        ir              : out    vl_logic_vector(7 downto 5);
        trigger_clk     : out    vl_logic;
        memory_read_write: out    vl_logic;
        data_select     : out    vl_logic;
        pc_load         : out    vl_logic;
        pc_count_up     : out    vl_logic;
        pc_ir           : out    vl_logic;
        c               : out    vl_logic;
        z               : out    vl_logic;
        halt            : out    vl_logic;
        acc_latch       : out    vl_logic;
        alu_latch       : out    vl_logic;
        ir_latch        : out    vl_logic;
        a_bus           : out    vl_logic_vector(4 downto 0);
        in_port         : in     vl_logic_vector(7 downto 0);
        out_port        : out    vl_logic_vector(7 downto 0)
    );
end k_com;
